/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package ventanas1;

import java.awt.Image;
import java.awt.Toolkit;
import javax.swing.JOptionPane;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.table.DefaultTableModel;
import javax.swing.table.TableColumn;
import org.jdesktop.swingx.autocomplete.AutoCompleteDecorator;
/**
 *
 * @author User
 */
public class Registrar extends javax.swing.JFrame {
    String user = "sql5454836";
    String clave = "pkzsvhf4Qx";
    String url = "jdbc:mysql://sql5.freemysqlhosting.net/sql5454836";
    Connection con;
    Statement stmt;
    ResultSet rs;
    String datos[] = new String [4]; 
    DefaultTableModel modelo = new DefaultTableModel();
   
    
    /**
     * Creates new form Inicio
     */
    public Registrar() {
        
        initComponents();
        this.setTitle("El cajón: registrar producto");
        this.setLocationRelativeTo(null);
        try {
                Class.forName("com.mysql.cj.jdbc.Driver");
            } catch (ClassNotFoundException ex) {
                Logger.getLogger(Registrar.class.getName()).log(Level.SEVERE, null, ex);
            }
        buscarProducto("");
        buscarMarca();
        AutoCompleteDecorator.decorate(jComboBoxMarca);
        AutoCompleteDecorator.decorate(jComboBoxTalla);
        AutoCompleteDecorator.decorate(jComboBoxTipo);
        AutoCompleteDecorator.decorate(jComboBoxProcedencia);

        
        
          
       
    }
    public Image getIconImage(){
       Image retValue = Toolkit.getDefaultToolkit().getImage(ClassLoader.getSystemResource("imagenes1/icono.png"));
       return retValue;
    }
    void buscarProducto(String buscar){
        
        modelo.addColumn("ID");
        modelo.addColumn("CÓDIGO");
        modelo.addColumn("MARCA");
        modelo.addColumn("TIPO");
        
        //TablaDatos.setModel(modelo);

        try {
            con = DriverManager.getConnection(url, user, clave);
            stmt = con.createStatement();
            ResultSet rs = stmt.executeQuery("SELECT * FROM usuario WHERE codigo LIKE '%"+buscar+"%' OR nombre LIKE '%"+buscar+"%'");
            while(rs.next()){
                datos[0]= rs.getString(1);
                datos[1]= rs.getString(2);
                datos[2]= rs.getString(8);
                datos[3]= rs.getString(12);
                
                
                modelo.addRow(datos);
                
            }
            TablaDatos.setModel(modelo);
            TableColumn columna = TablaDatos.getColumn("ID");
                columna.setMinWidth(38);
                columna.setMaxWidth(38);
        } catch (SQLException ex) {
            Logger.getLogger(BuscarProducto.class.getName()).log(Level.SEVERE, null, ex);
        }
        
        
    }
    void refrescarPagina(String refrescar){
     try {
            con = DriverManager.getConnection(url, user, clave);
            stmt = con.createStatement();
            ResultSet rs = stmt.executeQuery("SELECT * FROM usuario WHERE codigo LIKE '%"+refrescar+"%' OR marca LIKE '%"+refrescar+"%'");
            while(rs.next()){
                datos[0]= rs.getString(1);
                datos[1]= rs.getString(2);
                datos[2]= rs.getString(8);
                datos[3]= rs.getString(12);
                
                
                modelo.addRow(datos);
            }
            TablaDatos.setModel(modelo);
            TableColumn columna = TablaDatos.getColumn("ID");
            columna.setMinWidth(38);
            columna.setMaxWidth(38);
        } catch (SQLException ex) {
            Logger.getLogger(BuscarProducto.class.getName()).log(Level.SEVERE, null, ex);
        }
    }


    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jTextNombre = new javax.swing.JTextField();
        jTextFieldColeccion = new javax.swing.JTextField();
        jLabelNombres = new javax.swing.JLabel();
        jLabelPrecio1 = new javax.swing.JLabel();
        jComboBoxMarca = new javax.swing.JComboBox<>();
        jComboBoxTalla = new javax.swing.JComboBox<>();
        jTextFieldPrecio = new javax.swing.JTextField();
        jButtonListo = new javax.swing.JButton();
        jButtonCancelar1 = new javax.swing.JButton();
        jLabelPrecio5 = new javax.swing.JLabel();
        jLabelPrecio4 = new javax.swing.JLabel();
        jLabelCodigo = new javax.swing.JLabel();
        jLabelPrecio3 = new javax.swing.JLabel();
        jLabelCodigo2 = new javax.swing.JLabel();
        jLabelPrecio2 = new javax.swing.JLabel();
        jTextFieldVenta = new javax.swing.JTextField();
        jButtonAtras = new javax.swing.JButton();
        jButtonInicio = new javax.swing.JButton();
        jTextFieldTienda = new javax.swing.JTextField();
        jButtonEscanear1 = new javax.swing.JButton();
        jLabelSexo = new javax.swing.JLabel();
        jButton2 = new javax.swing.JButton();
        jTextFieldTipo = new javax.swing.JTextField();
        jButtonMarca1 = new javax.swing.JButton();
        jButton1 = new javax.swing.JButton();
        jComboBoxSexo = new javax.swing.JComboBox<>();
        jScrollPaneProducto = new javax.swing.JScrollPane();
        TablaDatos = new javax.swing.JTable();
        jLabelTipo1 = new javax.swing.JLabel();
        jComboBoxProcedencia = new javax.swing.JComboBox<>();
        jLabelTipo = new javax.swing.JLabel();
        jComboBoxTipo = new javax.swing.JComboBox<>();
        jLabelLogo = new javax.swing.JLabel();
        jLabelFondo = new javax.swing.JLabel();
        jLabelSumas = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setIconImage(getIconImage());
        setResizable(false);
        getContentPane().setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        jTextNombre.setFont(new java.awt.Font("SansSerif", 0, 24)); // NOI18N
        jTextNombre.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextNombreActionPerformed(evt);
            }
        });
        jTextNombre.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyTyped(java.awt.event.KeyEvent evt) {
                jTextNombreKeyTyped(evt);
            }
        });
        getContentPane().add(jTextNombre, new org.netbeans.lib.awtextra.AbsoluteConstraints(280, 160, 240, -1));

        jTextFieldColeccion.setFont(new java.awt.Font("SansSerif", 0, 24)); // NOI18N
        jTextFieldColeccion.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyTyped(java.awt.event.KeyEvent evt) {
                jTextFieldColeccionKeyTyped(evt);
            }
        });
        getContentPane().add(jTextFieldColeccion, new org.netbeans.lib.awtextra.AbsoluteConstraints(280, 370, 240, -1));

        jLabelNombres.setFont(new java.awt.Font("SansSerif", 0, 24)); // NOI18N
        jLabelNombres.setForeground(new java.awt.Color(255, 255, 255));
        jLabelNombres.setText("CARACTER:");
        getContentPane().add(jLabelNombres, new org.netbeans.lib.awtextra.AbsoluteConstraints(120, 160, 140, -1));

        jLabelPrecio1.setBackground(new java.awt.Color(0, 0, 0));
        jLabelPrecio1.setFont(new java.awt.Font("SansSerif", 0, 24)); // NOI18N
        jLabelPrecio1.setForeground(new java.awt.Color(255, 255, 255));
        jLabelPrecio1.setText("TALLA:");
        getContentPane().add(jLabelPrecio1, new org.netbeans.lib.awtextra.AbsoluteConstraints(180, 480, 90, -1));

        jComboBoxMarca.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jComboBoxMarca.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jComboBoxMarcaMouseClicked(evt);
            }
        });
        jComboBoxMarca.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jComboBoxMarcaActionPerformed(evt);
            }
        });
        getContentPane().add(jComboBoxMarca, new org.netbeans.lib.awtextra.AbsoluteConstraints(280, 30, 220, 30));

        jComboBoxTalla.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jComboBoxTalla.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "N/A", "XS", "S", "M", "L", "XL", "XXL", "XXXL", "5", "5-6", "5Y", "5.5", "6", "6Y", "6.5", "7", "7Y", "7.5", "8", "8.5", "9", "9.5", "10", "10.5", "11", "11.5", "12" }));
        jComboBoxTalla.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jComboBoxTallaMouseClicked(evt);
            }
        });
        jComboBoxTalla.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jComboBoxTallaActionPerformed(evt);
            }
        });
        getContentPane().add(jComboBoxTalla, new org.netbeans.lib.awtextra.AbsoluteConstraints(280, 480, 90, 30));

        jTextFieldPrecio.setFont(new java.awt.Font("SansSerif", 0, 24)); // NOI18N
        jTextFieldPrecio.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldPrecioActionPerformed(evt);
            }
        });
        jTextFieldPrecio.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyTyped(java.awt.event.KeyEvent evt) {
                jTextFieldPrecioKeyTyped(evt);
            }
        });
        getContentPane().add(jTextFieldPrecio, new org.netbeans.lib.awtextra.AbsoluteConstraints(280, 220, 240, -1));

        jButtonListo.setFont(new java.awt.Font("SansSerif", 0, 24)); // NOI18N
        jButtonListo.setForeground(new java.awt.Color(255, 255, 255));
        jButtonListo.setText("REGISTRAR");
        jButtonListo.setContentAreaFilled(false);
        jButtonListo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonListoActionPerformed(evt);
            }
        });
        getContentPane().add(jButtonListo, new org.netbeans.lib.awtextra.AbsoluteConstraints(1030, 570, 230, 60));

        jButtonCancelar1.setBackground(new java.awt.Color(204, 0, 0));
        jButtonCancelar1.setFont(new java.awt.Font("SansSerif", 0, 24)); // NOI18N
        jButtonCancelar1.setForeground(new java.awt.Color(255, 255, 255));
        jButtonCancelar1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes1/x cancelar.png"))); // NOI18N
        jButtonCancelar1.setText("CANCELAR");
        jButtonCancelar1.setBorderPainted(false);
        jButtonCancelar1.setContentAreaFilled(false);
        jButtonCancelar1.setDefaultCapable(false);
        jButtonCancelar1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCancelar1ActionPerformed(evt);
            }
        });
        getContentPane().add(jButtonCancelar1, new org.netbeans.lib.awtextra.AbsoluteConstraints(780, 580, 230, 50));

        jLabelPrecio5.setBackground(new java.awt.Color(0, 0, 0));
        jLabelPrecio5.setFont(new java.awt.Font("SansSerif", 0, 24)); // NOI18N
        jLabelPrecio5.setForeground(new java.awt.Color(255, 255, 255));
        jLabelPrecio5.setText("MARCA:");
        getContentPane().add(jLabelPrecio5, new org.netbeans.lib.awtextra.AbsoluteConstraints(160, 30, 90, -1));

        jLabelPrecio4.setBackground(new java.awt.Color(0, 0, 0));
        jLabelPrecio4.setFont(new java.awt.Font("SansSerif", 0, 24)); // NOI18N
        jLabelPrecio4.setForeground(new java.awt.Color(255, 255, 255));
        jLabelPrecio4.setText("COLECCIÓN:");
        getContentPane().add(jLabelPrecio4, new org.netbeans.lib.awtextra.AbsoluteConstraints(110, 370, 160, -1));

        jLabelCodigo.setFont(new java.awt.Font("SansSerif", 0, 24)); // NOI18N
        jLabelCodigo.setForeground(new java.awt.Color(255, 255, 255));
        jLabelCodigo.setText("CÓDIGO:");
        getContentPane().add(jLabelCodigo, new org.netbeans.lib.awtextra.AbsoluteConstraints(150, 580, -1, -1));

        jLabelPrecio3.setBackground(new java.awt.Color(0, 0, 0));
        jLabelPrecio3.setFont(new java.awt.Font("SansSerif", 0, 24)); // NOI18N
        jLabelPrecio3.setForeground(new java.awt.Color(255, 255, 255));
        jLabelPrecio3.setText("PRECIO DE VENTA:");
        getContentPane().add(jLabelPrecio3, new org.netbeans.lib.awtextra.AbsoluteConstraints(40, 290, 230, -1));

        jLabelCodigo2.setBackground(new java.awt.Color(102, 255, 102));
        jLabelCodigo2.setFont(new java.awt.Font("SansSerif", 0, 14)); // NOI18N
        jLabelCodigo2.setOpaque(true);
        getContentPane().add(jLabelCodigo2, new org.netbeans.lib.awtextra.AbsoluteConstraints(270, 580, 240, 30));

        jLabelPrecio2.setFont(new java.awt.Font("SansSerif", 0, 24)); // NOI18N
        jLabelPrecio2.setForeground(new java.awt.Color(255, 255, 255));
        jLabelPrecio2.setText("PRECIO DE COMPRA:");
        getContentPane().add(jLabelPrecio2, new org.netbeans.lib.awtextra.AbsoluteConstraints(20, 220, 250, -1));

        jTextFieldVenta.setFont(new java.awt.Font("SansSerif", 0, 24)); // NOI18N
        jTextFieldVenta.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldVentaActionPerformed(evt);
            }
        });
        jTextFieldVenta.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyTyped(java.awt.event.KeyEvent evt) {
                jTextFieldVentaKeyTyped(evt);
            }
        });
        getContentPane().add(jTextFieldVenta, new org.netbeans.lib.awtextra.AbsoluteConstraints(280, 290, 240, -1));

        jButtonAtras.setBackground(new java.awt.Color(153, 153, 0));
        jButtonAtras.setFont(new java.awt.Font("SansSerif", 0, 24)); // NOI18N
        jButtonAtras.setForeground(new java.awt.Color(255, 255, 255));
        jButtonAtras.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes1/atrasBlanco.png"))); // NOI18N
        jButtonAtras.setBorderPainted(false);
        jButtonAtras.setContentAreaFilled(false);
        jButtonAtras.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonAtrasActionPerformed(evt);
            }
        });
        getContentPane().add(jButtonAtras, new org.netbeans.lib.awtextra.AbsoluteConstraints(20, 570, 90, 40));

        jButtonInicio.setBackground(new java.awt.Color(153, 0, 153));
        jButtonInicio.setFont(new java.awt.Font("SansSerif", 0, 24)); // NOI18N
        jButtonInicio.setForeground(new java.awt.Color(255, 255, 255));
        jButtonInicio.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes1/inicio.png"))); // NOI18N
        jButtonInicio.setBorderPainted(false);
        jButtonInicio.setContentAreaFilled(false);
        jButtonInicio.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonInicioActionPerformed(evt);
            }
        });
        getContentPane().add(jButtonInicio, new org.netbeans.lib.awtextra.AbsoluteConstraints(1170, 30, -1, -1));

        jTextFieldTienda.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyTyped(java.awt.event.KeyEvent evt) {
                jTextFieldTiendaKeyTyped(evt);
            }
        });
        getContentPane().add(jTextFieldTienda, new org.netbeans.lib.awtextra.AbsoluteConstraints(620, 30, 170, 30));

        jButtonEscanear1.setBackground(new java.awt.Color(153, 153, 0));
        jButtonEscanear1.setFont(new java.awt.Font("SansSerif", 0, 24)); // NOI18N
        jButtonEscanear1.setForeground(new java.awt.Color(255, 255, 255));
        jButtonEscanear1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes1/codigo.png"))); // NOI18N
        jButtonEscanear1.setBorderPainted(false);
        jButtonEscanear1.setContentAreaFilled(false);
        jButtonEscanear1.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        jButtonEscanear1.setDefaultCapable(false);
        jButtonEscanear1.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonEscanear1.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        jButtonEscanear1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonEscanear1ActionPerformed(evt);
            }
        });
        getContentPane().add(jButtonEscanear1, new org.netbeans.lib.awtextra.AbsoluteConstraints(520, 520, -1, 90));

        jLabelSexo.setBackground(new java.awt.Color(0, 0, 0));
        jLabelSexo.setFont(new java.awt.Font("SansSerif", 0, 24)); // NOI18N
        jLabelSexo.setForeground(new java.awt.Color(255, 255, 255));
        jLabelSexo.setText("SEXO:");
        getContentPane().add(jLabelSexo, new org.netbeans.lib.awtextra.AbsoluteConstraints(180, 530, 90, -1));

        jButton2.setText("AGREGAR TIPO");
        jButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton2ActionPerformed(evt);
            }
        });
        getContentPane().add(jButton2, new org.netbeans.lib.awtextra.AbsoluteConstraints(800, 80, 130, 30));

        jTextFieldTipo.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyTyped(java.awt.event.KeyEvent evt) {
                jTextFieldTipoKeyTyped(evt);
            }
        });
        getContentPane().add(jTextFieldTipo, new org.netbeans.lib.awtextra.AbsoluteConstraints(620, 80, 170, 30));

        jButtonMarca1.setBackground(new java.awt.Color(153, 153, 0));
        jButtonMarca1.setFont(new java.awt.Font("SansSerif", 0, 24)); // NOI18N
        jButtonMarca1.setForeground(new java.awt.Color(255, 255, 255));
        jButtonMarca1.setText("AGREGAR MARCA");
        jButtonMarca1.setBorderPainted(false);
        jButtonMarca1.setContentAreaFilled(false);
        jButtonMarca1.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        jButtonMarca1.setDefaultCapable(false);
        jButtonMarca1.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonMarca1.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        jButtonMarca1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonMarca1ActionPerformed(evt);
            }
        });
        getContentPane().add(jButtonMarca1, new org.netbeans.lib.awtextra.AbsoluteConstraints(930, 30, 240, 50));

        jButton1.setText("AGREGAR TIENDA");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });
        getContentPane().add(jButton1, new org.netbeans.lib.awtextra.AbsoluteConstraints(800, 30, 130, 30));

        jComboBoxSexo.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jComboBoxSexo.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "F", "M" }));
        jComboBoxSexo.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jComboBoxSexoMouseClicked(evt);
            }
        });
        jComboBoxSexo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jComboBoxSexoActionPerformed(evt);
            }
        });
        getContentPane().add(jComboBoxSexo, new org.netbeans.lib.awtextra.AbsoluteConstraints(280, 530, 90, 30));

        TablaDatos = new javax.swing.JTable(){
            public boolean isCellEditable(int riwIndex, int colIndex){
                return false;
            }
        };
        TablaDatos.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {

            }
        ));
        TablaDatos.getTableHeader().setReorderingAllowed(false);
        jScrollPaneProducto.setViewportView(TablaDatos);

        getContentPane().add(jScrollPaneProducto, new org.netbeans.lib.awtextra.AbsoluteConstraints(620, 130, 650, 350));

        jLabelTipo1.setBackground(new java.awt.Color(0, 0, 0));
        jLabelTipo1.setFont(new java.awt.Font("SansSerif", 0, 24)); // NOI18N
        jLabelTipo1.setForeground(new java.awt.Color(255, 255, 255));
        jLabelTipo1.setText("COMPRADO EN:");
        getContentPane().add(jLabelTipo1, new org.netbeans.lib.awtextra.AbsoluteConstraints(70, 120, 200, -1));

        jComboBoxProcedencia.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jComboBoxProcedencia.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "NIKE", "REEBOK", "PUMA ", "ADIDAS", "ARMANI", "NAUTICA", "GAP", "CALVIN KLEIN", "TOMMY HILFIGER", "U.S. POLO ASSN.", "BURLINGTON", "AEROPOSTALE", "GUESS", "LIDS", "THE NORTH FACE", "MARSHALLS", "TJ MAX" }));
        jComboBoxProcedencia.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jComboBoxProcedenciaMouseClicked(evt);
            }
        });
        jComboBoxProcedencia.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jComboBoxProcedenciaActionPerformed(evt);
            }
        });
        getContentPane().add(jComboBoxProcedencia, new org.netbeans.lib.awtextra.AbsoluteConstraints(280, 120, 220, 30));

        jLabelTipo.setBackground(new java.awt.Color(0, 0, 0));
        jLabelTipo.setFont(new java.awt.Font("SansSerif", 0, 24)); // NOI18N
        jLabelTipo.setForeground(new java.awt.Color(255, 255, 255));
        jLabelTipo.setText("TIPO:");
        getContentPane().add(jLabelTipo, new org.netbeans.lib.awtextra.AbsoluteConstraints(190, 80, 80, -1));

        jComboBoxTipo.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jComboBoxTipo.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "CAMISETA CUELLO REDONDO", "CAMISETA CUELLO REDONDO X3", "CAMISETA POLO", "CAMISETA CUELLO V", "CAMIBUSO", "CHAQUETA-ABOLLONADA", "CAMISA MANGA-LARGA", "CAMISA MANGA-CORTA", "BILLETERA", "SUDADERA", "ROMPEVIENTOS", "CHOMPA DE CIERRE", "CHOMPA CERRADA", "GORRAS", "GORRA PLANA", "MORRAL", "TENIS", "ESQUELETO DEPORTIVO", "LICRA", "LONCHERA", "ZAPATO", "GUAYOS", "RIÑONERA", "MEDIAS X6", "MEDIASX15", "BOXER X4", "BOXER X3", "BOXER X1" }));
        jComboBoxTipo.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jComboBoxTipoMouseClicked(evt);
            }
        });
        jComboBoxTipo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jComboBoxTipoActionPerformed(evt);
            }
        });
        getContentPane().add(jComboBoxTipo, new org.netbeans.lib.awtextra.AbsoluteConstraints(280, 80, 220, 30));

        jLabelLogo.setBackground(new java.awt.Color(255, 255, 255));
        jLabelLogo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes1/cajon_1.png"))); // NOI18N
        getContentPane().add(jLabelLogo, new org.netbeans.lib.awtextra.AbsoluteConstraints(450, 50, -1, -1));

        jLabelFondo.setBackground(new java.awt.Color(0, 0, 0));
        jLabelFondo.setOpaque(true);
        getContentPane().add(jLabelFondo, new org.netbeans.lib.awtextra.AbsoluteConstraints(-40, 0, 1310, 650));

        jLabelSumas.setText("jLabel1");
        getContentPane().add(jLabelSumas, new org.netbeans.lib.awtextra.AbsoluteConstraints(550, 470, -1, -1));

        pack();
    }// </editor-fold>//GEN-END:initComponents
    void buscarMarca(){
        try {
             
            con = DriverManager.getConnection(url, user, clave);
            stmt = con.createStatement();
            ResultSet rs = stmt.executeQuery("SELECT * FROM marcas ORDER BY marca ASC ");

                while(rs.next()){
                   jComboBoxMarca.addItem(rs.getString(2));
                }
        
            
        } catch (SQLException ex) {
            Logger.getLogger(ProductosFactura.class.getName()).log(Level.SEVERE, null, ex);
        }
        
    }
     
    
    
    private void jTextNombreKeyTyped(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_jTextNombreKeyTyped
        char c= evt.getKeyChar();
        if(Character.isLowerCase(c)){
            String cad=(""+c).toUpperCase();
            c= cad.charAt(0);
            evt.setKeyChar(c);
        }
    }//GEN-LAST:event_jTextNombreKeyTyped

    private void jTextFieldPrecioKeyTyped(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_jTextFieldPrecioKeyTyped
        char n = evt.getKeyChar();
        if(n < '0' || n> '9') evt.consume();
    }//GEN-LAST:event_jTextFieldPrecioKeyTyped

    private void jTextFieldPrecioActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldPrecioActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextFieldPrecioActionPerformed

    private void jButtonListoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonListoActionPerformed
        boolean sw2=false;
        if(jTextNombre.getText().isEmpty()){
            JOptionPane.showMessageDialog(null, "No ingresó el nombre de producto");
            sw2=true;
        }
            
        else if(jTextFieldPrecio.getText().isEmpty()){
            JOptionPane.showMessageDialog(null, "No ingresó el precio de compra");
            sw2=true;
        }else if(jTextFieldVenta.getText().isEmpty()){
            JOptionPane.showMessageDialog(null, "No ingresó el precio de venta");
            sw2=true;
        }else if(Integer.parseInt(jTextFieldPrecio.getText()) > Integer.parseInt(jTextFieldVenta.getText())){
            JOptionPane.showMessageDialog(null, "El precio de venta no puede ser menor al precio de compra");
            sw2=true;
        }else if(jTextFieldColeccion.getText().isEmpty()){
            JOptionPane.showMessageDialog(null, "No ingresó la coleción");
            sw2=true;
        }
        boolean sw = false;
       for(int i = 0; i < modelo.getRowCount(); i ++){
           if( TablaDatos.getValueAt(i, 1).equals(jLabelCodigo2.getText()) ){
                    sw = true ;
           } 
       }if(sw == true){
           JOptionPane.showMessageDialog(null, "El producto ya está registrado");
           jTextNombre.setText("");
           jLabelCodigo2.setText("");
           jTextFieldPrecio.setText("");
           jTextFieldVenta.setText("");
       }
       else if(sw2==false){
            if(jLabelCodigo2.getText().isEmpty()){
                jLabelCodigo2.setText(String.valueOf(Integer.parseInt((String) TablaDatos.getValueAt(modelo.getRowCount() - 1, 0)) + 1));
            }
            try {
                con = DriverManager.getConnection(url, user, clave);
                stmt = con.createStatement();
                stmt.executeUpdate("INSERT INTO usuario VALUES('0', '"+jLabelCodigo2.getText()+"','"+jTextNombre.getText()+"','"+jTextFieldPrecio.getText()+"', '"
                        +jTextFieldVenta.getText()+"', '0', '1', '"+jComboBoxMarca.getSelectedItem().toString()+"', '"+jComboBoxTalla.getSelectedItem().toString()+"', '"+jTextFieldColeccion.getText()+"',"
                                + " '"+jComboBoxSexo.getSelectedItem().toString()+"', '"+jComboBoxTipo.getSelectedItem().toString()+"',"
                                        + "'"+jComboBoxProcedencia.getSelectedItem().toString()+"')");
            } catch (SQLException ex) {
                JOptionPane.showMessageDialog(null, "error");
                Logger.getLogger(Registrar.class.getName()).log(Level.SEVERE, null, ex);
            }
            
            String v1 = jTextFieldPrecio.getText();
            String v2 = jTextFieldVenta.getText();
            int Suma = Integer.parseInt(v2) - Integer.parseInt(v1);
            String SumaDatos = String.valueOf(Suma);
            jLabelSumas.setText(SumaDatos);
            try {
                con = DriverManager.getConnection(url, user, clave);
                stmt = con.createStatement();
                stmt.executeUpdate("UPDATE usuario SET ganancia = '"+jLabelSumas.getText()+"' WHERE codigo = '"
                        +jLabelCodigo2.getText()+"'");
                
            } catch (SQLException ex) {
                Logger.getLogger(Registrar.class.getName()).log(Level.SEVERE, null, ex);
            
            }
            
            
            
            
            JOptionPane.showMessageDialog(null, "Registro exitoso");
            modelo.setRowCount(0);
            jLabelCodigo2.setText("");
            jTextFieldPrecio.setText("");
            jTextNombre.setText("");
            jTextFieldVenta.setText("");
            jLabelSumas.setText("");
            
            refrescarPagina("");
        }
    }//GEN-LAST:event_jButtonListoActionPerformed

    private void jButtonCancelar1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCancelar1ActionPerformed
        jLabelCodigo2.setText("");
        jTextNombre.setText("");
        jTextFieldPrecio.setText("");
        jTextFieldVenta.setText("");
        jTextFieldColeccion.setText("");
    }//GEN-LAST:event_jButtonCancelar1ActionPerformed

    private void jTextNombreActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextNombreActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextNombreActionPerformed

    private void jTextFieldVentaKeyTyped(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_jTextFieldVentaKeyTyped
        char n = evt.getKeyChar();
        if(n < '0' || n> '9') evt.consume();
    }//GEN-LAST:event_jTextFieldVentaKeyTyped

    private void jButtonAtrasActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonAtrasActionPerformed
        Productos I = new Productos();
        I.setVisible(true);
        dispose();
    }//GEN-LAST:event_jButtonAtrasActionPerformed

    private void jButtonInicioActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonInicioActionPerformed
        Inicio I = new Inicio();
        I.setVisible(true);
        dispose();
    }//GEN-LAST:event_jButtonInicioActionPerformed

    private void jTextFieldColeccionKeyTyped(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_jTextFieldColeccionKeyTyped
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextFieldColeccionKeyTyped

    private void jTextFieldVentaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldVentaActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextFieldVentaActionPerformed

    private void jComboBoxTallaMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jComboBoxTallaMouseClicked

    }//GEN-LAST:event_jComboBoxTallaMouseClicked

    private void jComboBoxTallaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jComboBoxTallaActionPerformed
        String selectedValue = jComboBoxTalla.getSelectedItem().toString();
        
        //seleccionarCliente(selectedValue);
    }//GEN-LAST:event_jComboBoxTallaActionPerformed

    private void jComboBoxMarcaMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jComboBoxMarcaMouseClicked
        // TODO add your handling code here:
    }//GEN-LAST:event_jComboBoxMarcaMouseClicked

    private void jComboBoxMarcaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jComboBoxMarcaActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jComboBoxMarcaActionPerformed

    private void jComboBoxSexoMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jComboBoxSexoMouseClicked
        // TODO add your handling code here:
    }//GEN-LAST:event_jComboBoxSexoMouseClicked

    private void jComboBoxSexoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jComboBoxSexoActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jComboBoxSexoActionPerformed

    private void jButtonEscanear1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonEscanear1ActionPerformed
        Scanner2 s = new Scanner2(this, true);
        s.setVisible(true);
    }//GEN-LAST:event_jButtonEscanear1ActionPerformed

    private void jButtonMarca1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonMarca1ActionPerformed
        RegistrarMarca M = new RegistrarMarca();
        M.setVisible(true);
        dispose();
    }//GEN-LAST:event_jButtonMarca1ActionPerformed

    private void jComboBoxTipoMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jComboBoxTipoMouseClicked
        // TODO add your handling code here:
    }//GEN-LAST:event_jComboBoxTipoMouseClicked

    private void jComboBoxTipoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jComboBoxTipoActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jComboBoxTipoActionPerformed

    private void jComboBoxProcedenciaMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jComboBoxProcedenciaMouseClicked
        // TODO add your handling code here:
    }//GEN-LAST:event_jComboBoxProcedenciaMouseClicked

    private void jComboBoxProcedenciaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jComboBoxProcedenciaActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jComboBoxProcedenciaActionPerformed

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        if(jTextFieldTienda.getText().isEmpty()){
            JOptionPane.showMessageDialog(null, "No ingresó la tienda");
        }else{
            jComboBoxProcedencia.addItem(jTextFieldTienda.getText());
            jTextFieldTienda.setText("");
        }
    }//GEN-LAST:event_jButton1ActionPerformed

    private void jTextFieldTiendaKeyTyped(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_jTextFieldTiendaKeyTyped
        char c= evt.getKeyChar();
        if(Character.isLowerCase(c)){
            String cad=(""+c).toUpperCase();
            c= cad.charAt(0);
            evt.setKeyChar(c);
        }
    }//GEN-LAST:event_jTextFieldTiendaKeyTyped

    private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton2ActionPerformed
        if(jTextFieldTipo.getText().isEmpty()){
            JOptionPane.showMessageDialog(null, "No ingresó el tipo");
        }else{
            jComboBoxTipo.addItem(jTextFieldTipo.getText());
            jTextFieldTienda.setText("");
        }
    }//GEN-LAST:event_jButton2ActionPerformed

    private void jTextFieldTipoKeyTyped(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_jTextFieldTipoKeyTyped
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextFieldTipoKeyTyped

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(Registrar.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(Registrar.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(Registrar.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(Registrar.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new Registrar().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    public javax.swing.JTable TablaDatos;
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton2;
    public javax.swing.JButton jButtonAtras;
    public javax.swing.JButton jButtonCancelar1;
    public javax.swing.JButton jButtonEscanear1;
    private javax.swing.JButton jButtonInicio;
    private javax.swing.JButton jButtonListo;
    public javax.swing.JButton jButtonMarca1;
    private javax.swing.JComboBox<String> jComboBoxMarca;
    private javax.swing.JComboBox<String> jComboBoxProcedencia;
    private javax.swing.JComboBox<String> jComboBoxSexo;
    private javax.swing.JComboBox<String> jComboBoxTalla;
    private javax.swing.JComboBox<String> jComboBoxTipo;
    private javax.swing.JLabel jLabelCodigo;
    public static javax.swing.JLabel jLabelCodigo2;
    private javax.swing.JLabel jLabelFondo;
    private javax.swing.JLabel jLabelLogo;
    private javax.swing.JLabel jLabelNombres;
    private javax.swing.JLabel jLabelPrecio1;
    private javax.swing.JLabel jLabelPrecio2;
    private javax.swing.JLabel jLabelPrecio3;
    private javax.swing.JLabel jLabelPrecio4;
    private javax.swing.JLabel jLabelPrecio5;
    private javax.swing.JLabel jLabelSexo;
    private javax.swing.JLabel jLabelSumas;
    private javax.swing.JLabel jLabelTipo;
    private javax.swing.JLabel jLabelTipo1;
    private javax.swing.JScrollPane jScrollPaneProducto;
    private javax.swing.JTextField jTextFieldColeccion;
    public javax.swing.JTextField jTextFieldPrecio;
    private javax.swing.JTextField jTextFieldTienda;
    private javax.swing.JTextField jTextFieldTipo;
    private javax.swing.JTextField jTextFieldVenta;
    public javax.swing.JTextField jTextNombre;
    // End of variables declaration//GEN-END:variables
}
